All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class PlotImageMapInfo

    com.sas.graphics.components.PlotImageMapInfo

    @SASScope(value="ALL")
    public class PlotImageMapInfo

Since:
  SAS 9.1

Field Summary
`protected VariableList` | `auxiliaryVariableList`
`protected LabelZoneList` | `columnLabelZoneList`
`protected PlotValueZone[]` | `columnValueZones`
`protected VariableList` | `columnVariableList`
`protected PlotValueZone[]` | `dataElementValueZones`
`protected VariableList` | `dataTipVariableList`
`protected LabelZoneList` | `groupLabelZoneList`
`protected PlotValueZone[]` | `groupValueZones`
`protected VariableList` | `groupVariableList`
`protected LabelZoneList` | `rowLabelZoneList`
`protected PlotValueZone[]` | `rowValueZones`
`protected VariableList` | `rowVariableList`
`protected LabelZoneList` | `sizeLabelZoneList`
`protected PlotValueZone[]` | `sizeValueZones`
`protected VariableList` | `sizeVariableList`
`java.awt.Component` | `source`
`protected LabelZoneList` | `xLabelZoneList`
`protected PlotValueZone[]` | `xValueZones`
`protected VariableList` | `xVariableList`
`protected LabelZoneList` | `y2LabelZoneList`
`protected PlotValueZone[]` | `y2ValueZones`
`protected VariableList` | `y2VariableList`
`protected LabelZoneList` | `yLabelZoneList`
`protected PlotValueZone[]` | `yValueZones`
`protected VariableList` | `yVariableList`

Constructor Summary
`PlotImageMapInfo(PlotImageMapInfo copy)`
`PlotImageMapInfo(VariableList columnVariableList, VariableList rowVariableList, VariableList xVariableList, VariableList yVariableList, VariableList y2VariableList, VariableList sizeVariableList, VariableList groupVariableList, VariableList dataTipVariableList, VariableList auxiliaryVariableList, PlotValueZone[] columnValueZones, PlotValueZone[] rowValueZones, PlotValueZone[] xValueZones, PlotValueZone[] yValueZones, PlotValueZone[] y2ValueZones, PlotValueZone[] sizeValueZones, PlotValueZone[] groupValueZones, PlotValueZone[] dataElementValueZones, LabelZoneList columnLabelZoneList, LabelZoneList rowLabelZoneList, LabelZoneList xLabelZoneList, LabelZoneList yLabelZoneList, LabelZoneList y2LabelZoneList, LabelZoneList sizeLabelZoneList, LabelZoneList groupLabelZoneList)`

Method Summary
`VariableList` | `getAuxiliaryVariableList()` Returns the auxiliaryVariableList.
`LabelZoneList` | `getColumnLabelZoneList()` Returns the columnLabelZones.
`PlotValueZone[]` | `getColumnValueZones()` Returns the columnValueZones.
`VariableList` | `getColumnVariableList()` Returns the columnVariableList.
`PlotValueZone[]` | `getDataElementValueZones()` Returns the dataElementValueZones.
`VariableList` | `getDataTipVariableList()` Returns the dataTipVariableList.
`LabelZoneList` | `getGroupLabelZoneList()` Returns the groupLabelZones.
`PlotValueZone[]` | `getGroupValueZones()` Returns the groupValueZones.
`VariableList` | `getGroupVariableList()` Returns the rowVariableList.
`LabelZoneList` | `getRowLabelZoneList()` Returns the rowLabelZones.
`PlotValueZone[]` | `getRowValueZones()` Returns the rowValueZones.
`VariableList` | `getRowVariableList()` Returns the rowVariableList.
`VariableList` | `getSizeVariableList()` Returns the sizeVariableList.
`LabelZoneList` | `getXLabelZoneList()` Returns the xLabelZones.
`PlotValueZone[]` | `getXValueZones()` Returns the xValueZones.
`VariableList` | `getXVariableList()` Returns the rowVariableList.
`LabelZoneList` | `getY2LabelZoneList()` Returns the y2LabelZones.
`PlotValueZone[]` | `getY2ValueZones()` Returns the y2ValueZones.
`VariableList` | `getY2VariableList()` Returns the y2VariableList.
`LabelZoneList` | `getYLabelZoneList()` Returns the yLabelZones.
`PlotValueZone[]` | `getYValueZones()` Returns the yValueZones.
`VariableList` | `getYVariableList()` Returns the rowVariableList.

Field Detail

### source

    public java.awt.Component source

### columnVariableList

    protected VariableList columnVariableList

### rowVariableList

    protected VariableList rowVariableList

### xVariableList

    protected VariableList xVariableList

### yVariableList

    protected VariableList yVariableList

### y2VariableList

    protected VariableList y2VariableList

### groupVariableList

    protected VariableList groupVariableList

### sizeVariableList

    protected VariableList sizeVariableList

### dataTipVariableList

    protected VariableList dataTipVariableList

### auxiliaryVariableList

    protected VariableList auxiliaryVariableList

### columnValueZones

    protected PlotValueZone[] columnValueZones

### rowValueZones

    protected PlotValueZone[] rowValueZones

### xValueZones

    protected PlotValueZone[] xValueZones

### yValueZones

    protected PlotValueZone[] yValueZones

### y2ValueZones

    protected PlotValueZone[] y2ValueZones

### groupValueZones

    protected PlotValueZone[] groupValueZones

### sizeValueZones

    protected PlotValueZone[] sizeValueZones

### dataElementValueZones

    protected PlotValueZone[] dataElementValueZones

### columnLabelZoneList

    protected LabelZoneList columnLabelZoneList

### rowLabelZoneList

    protected LabelZoneList rowLabelZoneList

### xLabelZoneList

    protected LabelZoneList xLabelZoneList

### yLabelZoneList

    protected LabelZoneList yLabelZoneList

### y2LabelZoneList

    protected LabelZoneList y2LabelZoneList

### groupLabelZoneList

    protected LabelZoneList groupLabelZoneList

### sizeLabelZoneList

    protected LabelZoneList sizeLabelZoneList

Constructor Detail

### PlotImageMapInfo

    public PlotImageMapInfo(PlotImageMapInfo copy)

### PlotImageMapInfo

    public PlotImageMapInfo(VariableList columnVariableList,
                            VariableList rowVariableList,
                            VariableList xVariableList,
                            VariableList yVariableList,
                            VariableList y2VariableList,
                            VariableList sizeVariableList,
                            VariableList groupVariableList,
                            VariableList dataTipVariableList,
                            VariableList auxiliaryVariableList,
                            PlotValueZone[] columnValueZones,
                            PlotValueZone[] rowValueZones,
                            PlotValueZone[] xValueZones,
                            PlotValueZone[] yValueZones,
                            PlotValueZone[] y2ValueZones,
                            PlotValueZone[] sizeValueZones,
                            PlotValueZone[] groupValueZones,
                            PlotValueZone[] dataElementValueZones,
                            LabelZoneList columnLabelZoneList,
                            LabelZoneList rowLabelZoneList,
                            LabelZoneList xLabelZoneList,
                            LabelZoneList yLabelZoneList,
                            LabelZoneList y2LabelZoneList,
                            LabelZoneList sizeLabelZoneList,
                            LabelZoneList groupLabelZoneList)

Method Detail

### getColumnVariableList

    public VariableList getColumnVariableList()

  Returns the columnVariableList.

  Returns:
    VariableList

### getRowVariableList

    public VariableList getRowVariableList()

  Returns the rowVariableList.

  Returns:
    VariableList

### getXVariableList

    public VariableList getXVariableList()

  Returns the rowVariableList.

  Returns:
    VariableList

### getYVariableList

    public VariableList getYVariableList()

  Returns the rowVariableList.

  Returns:
    VariableList

### getY2VariableList

    public VariableList getY2VariableList()

  Returns the y2VariableList.

  Returns:
    VariableList

### getSizeVariableList

    public VariableList getSizeVariableList()

  Returns the sizeVariableList.

  Returns:
    VariableList

### getGroupVariableList

    public VariableList getGroupVariableList()

  Returns the rowVariableList.

  Returns:
    VariableList

### getDataTipVariableList

    public VariableList getDataTipVariableList()

  Returns the dataTipVariableList.

  Returns:
    VariableList

### getAuxiliaryVariableList

    public VariableList getAuxiliaryVariableList()

  Returns the auxiliaryVariableList.

  Returns:
    VariableList

### getXLabelZoneList

    public LabelZoneList getXLabelZoneList()

  Returns the xLabelZones.

  Returns:
    LabelZone

### getXValueZones

    public PlotValueZone[] getXValueZones()

  Returns the xValueZones.

  Returns:
    PlotValueZone[]

### getYLabelZoneList

    public LabelZoneList getYLabelZoneList()

  Returns the yLabelZones.

  Returns:
    LabelZone

### getYValueZones

    public PlotValueZone[] getYValueZones()

  Returns the yValueZones.

  Returns:
    PlotValueZone[]

### getY2LabelZoneList

    public LabelZoneList getY2LabelZoneList()

  Returns the y2LabelZones.

  Returns:
    LabelZone

### getY2ValueZones

    public PlotValueZone[] getY2ValueZones()

  Returns the y2ValueZones.

  Returns:
    PlotValueZone[]

### getColumnLabelZoneList

    public LabelZoneList getColumnLabelZoneList()

  Returns the columnLabelZones.

  Returns:
    LabelZone

### getColumnValueZones

    public PlotValueZone[] getColumnValueZones()

  Returns the columnValueZones.

  Returns:
    PlotValueZone[]

### getDataElementValueZones

    public PlotValueZone[] getDataElementValueZones()

  Returns the dataElementValueZones.

  Returns:
    PlotValueZone[]

### getRowLabelZoneList

    public LabelZoneList getRowLabelZoneList()

  Returns the rowLabelZones.

  Returns:
    LabelZone

### getRowValueZones

    public PlotValueZone[] getRowValueZones()

  Returns the rowValueZones.

  Returns:
    PlotValueZone[]

### getGroupLabelZoneList

    public LabelZoneList getGroupLabelZoneList()

  Returns the groupLabelZones.

  Returns:
    LabelZone

### getGroupValueZones

    public PlotValueZone[] getGroupValueZones()

  Returns the groupValueZones.

  Returns:
    PlotValueZone[]

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.